modem_run(8)

NAME
modem_run - SpeedTouch USB and SpeedTouch 330 firmware loader

SYNOPSIS
modem_run [OPTION]... -f firmware_file

DESCRIPTION

This program loads the firmware contained in firmware_file into a SpeedTouch USB modem. Then a monitoring daemon is left running. On Linux based systems, this daemon can be used to inform the "speedtch" module about the adsl link state.

OPTIONS

-f firmware_file
    Specifies the file containing the firmware code of the modem.

-a boot_file
    Specifies the file containing the boot code of the modem.

-b  Enables the use of the modem's "software buffering" mode. This option seems to cause state line instability.

-d device
    Defines which USB device should be used as the SpeedTouch USB modem. On Linux, this is something like /proc/bus/usb/003/006. Usefull when using more than one modem on the same machine.

-i seconds
    Defines the time between each device state polling. The default is 10s.

-k  Enables "speedtch" Linux kernel module coupling. If the state line goes up or down, then the module is informed through a special ioctl call.

-n number
    Number of firmware upload tries before failure is reported.

-r number
    Forces a specific modem revision. Valid values range from 0 to 4. Default is autodetection.

-s  Skips the first 512 bytes read (if you have a bulk read error 512 bytes on startup try this option)

-t seconds
    Sets the sychronization timeout in seconds. The default is 120s.

-v number
    Verbosity level
        - 0 Error messages
        - 1 level 0 + State messages
        - 2 level 1 + USB packet dumping

--help
    display this help and exit

DEPRECATED

-m  This option used to be specified to make modem_run monitor the state line in a background process (daemon). As the monitoring seems to be mandatory, this option has been removed.

RETURN VALUES

0 if the firmware file has been successfully loaded into SpeedTouch USB modem and adsl link has gone up.

For all failure cases, exit status is not equal to 0.

If modem_run fails to load the firmware, try to run modem_run with the -v 1 or -v 2 option, this can help you finding out the failure reason.

SEE ALSO

pppoa3(8), pppoa2(8)

AUTHOR
SpeedTouch USB driver development team.